/ This page is just a listing for a particular model

h1
  | Model

/ Describe the model
.model
  / Render the name of the object
  .info
    / The Occam object type
    .model-metadata
      p
        | Identifier
      code.id
        = @model.id

    .model-metadata
      p
        | Type
      span.type
        / Get the icon of the Occam object
        == svg(:objects, @model.info[:type], :class => :icon)

        span
          = @model.info[:type]

    / The name of the model
    .model-metadata
      p
        | Name
      span.name
        = @model.info[:name]

    / The author of the model
    .model-metadata
      p
        | Author
      span.author
        img.avatar src=@model.identity.person.avatarURL(16)
        span.name
          = @model.identity.person.info[:name]

  / The summary of the model script
  .description
    p.summary
      - if @model.info[:summary].nil? || @model.info[:summary] == ""
        - @model.info[:summary] = "-"
      = @model.info[:summary]

    p.actions
      a href=@model.url(:full => true) target=:_blank
        | View in Occam

/ Show output for this particular model
== partial(:listing, :locals => {:model => @model,
                                 :outputs => @outputs})
